Support » Plugin: Official Facebook Pixel » Parse error: syntax error, unexpected ‘class’

  • Resolved alissit

    (@alissit)


    Our site has crashed overnight and we’re getting:
    Parse error: syntax error, unexpected ‘class’ (T_CLASS), expecting identifier (T_STRING) or variable (T_VARIABLE) or ‘{‘ or ‘$’ in /home1/***/public_html/***********/wp-content/plugins/official-facebook-pixel/integration/FacebookWordpressIntegrationBase.php on line 38

    We’re running PHP version 5.4.45 and from what I understand static::class is not compatible with versions under 5.6?

    Any suggestions of what we can do? I can’t even reach the admin dashboard to disable the plugin.

    • This topic was modified 9 months, 3 weeks ago by alissit.

    The page I need help with: [log in to see the link]

Viewing 7 replies - 1 through 7 (of 7 total)
  • Watching this, as I am having the exact same issue. I had to log in via FTP and delete the plugin to get my site working again. I am running Avada theme.

    Ditto, Were you able to fix this in the end or should this plugin just be be uninstalled?

    Same issue here. Did a rollback on updating and it works for now..

    Had this issue on a site as well. Ended up bumping the sites PHP version from 5.4.X to 5.6.X and that seemed to fix it. Please update your plugin docs to say that it requires PHP 5.6.X + if that’s the case. It still says works with 5.3.

    I started a new thread to report the same issue. Watching for an update! Site is DOWN.

    I marked it resolved because all we needed to do was update the PHP version. 5.4 is no longer supported.
    When I did manage to get the site up and working again, we found it wasn’t just the Facebook Pixel that was causing problems. A number of our plugins are no longer working on the 5.4 PHP version.

    But yes, they need to update the docs. It does state that it’s compatible from 5.3 and up.

    • This reply was modified 9 months, 3 weeks ago by alissit.
    Plugin Author Facebook

    (@facebook)

    Hi,

    Thanks for reaching out and flagging this. We have fixed that to support PHP 5.3+ and please update the latest plugin.

    Thanks!

    • This reply was modified 9 months, 1 week ago by Facebook.
Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Parse error: syntax error, unexpected ‘class’’ is closed to new replies.